/*
RUSPE Shader Settings
Change stuff without much coding knowledge
If you have questions either comment on mcpedl (not those other websites)
Or ask on Twitter @TDAP13
Or my discord - https://discord.gg/j4AvK79
*/


//	true to turn on features
//	false to turn off features

//KEEP SEMICOLONS

///////////      Features        ///////////

const bool water = true;                     //water texture
const bool water_reflection = true;  //water sun reflection
const bool water_waves =  true;      //water surface waves
const bool under_water = true;        // under water effect
const bool uw_waves = true;           //under water waves
const bool plant_waves = true;       //plant waves
const bool sun_reflection = true;   //sun reflection/specular
const bool player_shadow =  true;//player shadow
const bool block_shadow = true;  //block shadow
const bool sun_beams = true;       //sun beamsl
const bool rain_effect = true;        //rain effect

const bool old_beams = false;       //old sun beams from 1.5.1 (less laggy)
const bool new_spec = false;         //new phong specular(laggier)
const bool bump = false;                //bump effect

////////////     values       ////////////////

const float cloud_height = 0.0; //negative to bring down, positive to bring up
const float brightness = 0.0; //original value 1.0 (negative values to bring down brightness)
const float rain_desat = 0.7;  //how desaturated the rain
const float bump_intensity = 1.5; //how intense the bump effect (If it's turned on)

///////////////////// colors ////////////////////////
//	how to change
//	the values indicates how intense each color channel is
//	for something orange,
//	change values to (1.0, 0.5, -0.5)
//	ignore    red     green    blue
//	   ⬇         ⬇         ⬇         ⬇
//	vec3(     0.0,       0.0,       0.0    );


const vec3 light_color = vec3(0.0, 0.0, 0.0);
const vec3 nether_light_color = vec3(1.0, 0.15, -0.5);